import copy from './file.js';
import globals from '../global.js';

const addModules = async () => {
  const { projectName, selectedOptions } = globals;
  const whiteList = ['storybook', 'cypress', 'jest'];
  if (!selectedOptions) return;
  const promises = selectedOptions.map((option) => {
    const isWhiteList = whiteList.includes(option);
    const destination = isWhiteList ? projectName : `${projectName}/src`;
    return copy(`libs/${option}`, destination);
  });
  await Promise.all(promises);
};

export default addModules;
